# pion::test::safe_xml_log_formatter Class Reference

thread-safe version of Boost.Test's xml_log_formatter class More...

`#include <unit_test.hpp>`

List of all members.

## Public Member Functions

| safe_xml_log_formatter ()
| default constructor
virtual | ~safe_xml_log_formatter ()
| virtual destructor
virtual void | log_start (std::ostream &ostr, boost::unit_test::counter_t test_cases_amount)
| wrapper to flush output for xml_log_formatter::log_start
virtual void | log_finish (std::ostream &ostr)
| wrapper to flush output for xml_log_formatter::log_finish
virtual void | log_build_info (std::ostream &ostr)
| wrapper to flush output for xml_log_formatter::log_build_info
virtual void | test_unit_start (std::ostream &ostr, boost::unit_test::test_unit const &tu)
| wrapper to flush output for xml_log_formatter::test_unit_start
virtual void | test_unit_finish (std::ostream &ostr, boost::unit_test::test_unit const &tu, unsigned long elapsed)
| wrapper to flush output for xml_log_formatter::test_unit_finish
virtual void | test_unit_skipped (std::ostream &ostr, boost::unit_test::test_unit const &tu)
| wrapper to flush output for xml_log_formatter::test_unit_skipped
virtual void | log_exception (std::ostream &ostr, boost::unit_test::log_checkpoint_data const &checkpoint_data, boost::execution_exception const &ex)
| wrapper to flush output for xml_log_formatter::log_exception
virtual void | log_entry_start (std::ostream &ostr, boost::unit_test::log_entry_data const &entry_data, log_entry_types let)
| thread-safe wrapper for xml_log_formatter::log_entry_start
virtual void | log_entry_value (std::ostream &ostr, boost::unit_test::const_string value)
virtual void | log_entry_finish (std::ostream &ostr)

## Detailed Description

thread-safe version of Boost.Test's xml_log_formatter class

Definition at line 42 of file unit_test.hpp.

## Member Function Documentation

virtual void pion::test::safe_xml_log_formatter::log_entry_finish | ( | std::ostream & | ostr | ) | `[inline, virtual]`

thread-safe wrapper for xml_log_formatter::log_entry_finish assumes the current thread has control via call to log_entry_start()

Definition at line 168 of file unit_test.hpp.

virtual void pion::test::safe_xml_log_formatter::log_entry_value | ( | std::ostream & | ostr,
|  | boost::unit_test::const_string | value |
| ) |  |  | `[inline, virtual]`

thread-safe wrapper for xml_log_formatter::log_entry_value ensures that an entry is in progress

Definition at line 157 of file unit_test.hpp.

The documentation for this class was generated from the following file:

- include/pion/test/unit_test.hpp